Subject: [bug#33214] Video Documentation for GNU GUIX (an Outreachy project)

From: Gábor Boskovits <[email-masked]>
Date: Fri, 2 Nov 2018 15:23:04 +0100

Björn Höfling <[email-masked]> ezt írta (időpont:
2018. nov. 2., P, 14:31):
>
> Hi Lakshmi,
>
> On Fri, 2 Nov 2018 18:25:49 +0530
> Lakshmi Prasannakumar <[email-masked]> wrote:
>
> > Sure, I'll rebase it to the current master and try to bring in the
> > change for commit message .
> >
> > Regards,
> >
>
> (For the reference, applied it on top of
> 7b63047c943a68717b1fc21dc078e44c2415e694 where it applies without trouble).
>
> I have some more remarks:
>
> * Could you please keep the bug-tracker on CC. In that way other people
> can follow the discussions and it is saved for later reference. That is
> especially useful if the patch gets forgotten and is only later being
> picked up again (though I don't think that will be the case here):
>
> [email-masked]
>
> * As Gabor already said, the period "." was missing. See other commit
> messages to get used to the strict rules.
>
> * License field should look like this:
>
>   (license license:gpl2+)))
>
> I.e. it is prefixed  by "license:". That is because in line 31 the
> license module was imported with that prefix:
>
>   #:use-module ((guix licenses) #:prefix license:)
>
> Some package modules use this syntax to prevent namespace pollution,
> others not.
>
> * Did you execute `guix lint` before submitting the patch? I have
> found some linter complaints:
>
> /home/bjoern/guix/guix/gnu/packages/cran.scm:6652:0: [email-masked]: sentences in description should be followed by two spaces; possible infractions at 197, 389
> /home/bjoern/guix/guix/gnu/packages/cran.scm:6652:0: [email-masked]: line 6671 is way too long (468 characters)
>
> * The first one just means what it says. That is because the
> descriptions use texinfo syntax and there are two spaces used.
>
> * The second can be solved by breaking long lines of the description
> before 80 characters. See how it was done in other packages above.
>
> * Homepage:
>
> gnu/packages/cran.scm:6652:0: [email-masked]: permanent redirect
> from http://cran.r-project.org/web/packages/weights
> to   http://cran.r-project.org/web/packages/weights/
>
> So please add a trailing "/" to the URL.
>
> Also could you use "https"? instead of just plain "http"? We use the
> encrypted URL wherever it is available.
>

Thanks Björn. It seems that currently Lakshmi has no working
guix, because of problems related to missing substiutes.

> * I'm currently trying to build it but that looks like it takes more
> time than usual because substitutes are missing. If anything goes
> wrong, I will report back. Did you try to build the package?
>
> Thank you,
>
> Björn